export interface IBuild {
    id: string;
    status: string;
    logUrl: string;
    options: {
        substitutionOption: string;
    };
    substitutions: {
        [key: string]: string;
    };
    tags: string[];
    sourceProvenance: {
        resolvedRepoSource: {
            repoName: string;
            commitSha: string;
        };
    };
}
export declare class GoogleApis {
    private client?;
    getProjectId(): Promise<string>;
    getProjectNumber(): Promise<string>;
    createKeyring(location: string, keyring: string): Promise<void>;
    createKey(location: string, keyring: string, key: string): Promise<void>;
    decryptKey(location: string, keyring: string, key: string, encryptedBase64: string): Promise<string>;
    encryptKey(location: string, keyring: string, key: string, plaintext: string): Promise<string>;
    setDecrypters(location: string, keyring: string, serviceAccounts: string[]): Promise<void>;
    cancelCloudbuild(id: string): Promise<void>;
    listCloudbuilds(filter: string): Promise<IBuild[]>;
    startCloudbuild(cloudbuildConfig: any, substitutions: any, tags: string[]): Promise<void>;
    private init();
    private authorize();
}
export declare const googleApis: GoogleApis;
